- hosts: localhost
  gather_facts: false
  tasks:

  - name: Check for Python
  #  raw: test -e /usr/bin/python3
    shell: python --version
    changed_when: false
    failed_when: false
    register: check_python
  - set_fact: 
     PYTHON_VERSION: " {{ check_python.stdout_lines }}"

  - name: Install Python
    raw: yum -y install python36u
    when: check_python.rc != 0

  - name: Create a directory
    file:
     path: /home/ec2-user/paccu
     state: directory
     mode: '0755'
     recurse: yes

  - name: check if git is installed
    command: git --version
    changed_when: false
    failed_when: false
    register: check_git
 
  - name: Install git
    become: yes
    command: yum install git -y
    when: check_git.rc != 0

  - name: Checkout The Code From Github Using Ansible
    git:
   # repo: 'https://{{ token }}@github.com/{{ username }}/{{ repo_name }}.git'
     repo: 'https://github.com/RhinoSecurityLabs/pacu'
     dest: /home/ec2-user/paccu

  - name: Run bash script
    shell:
      "bash install.sh"
    args:
      chdir: "/home/ec2-user/paccu/"
    register: bash
  - set_fact: 
     BASH: " {{ bash.stdout_lines }}"

  - name: Execute Python  Script
    command: python3 pacu.py
    args:
      chdir: "/home/ec2-user/paccu/"
    register: python
  - set_fact: 
     PYTHON_SCRIPT: " {{ python.stdout_lines }}"


  - name: Check if pacu is installed
    command: python3 pacu.py --help
    args:
      chdir: "/home/ec2-user/paccu/"
    register: pacu
  - set_fact: 
     PACU_VERSION: " {{ pacu.stdout_lines }}"

